• Blog posts

    Bio

    By Miles Nicholson 

    102.png

    This article provides the system requirements for Autodesk® AutoCAD 2019 including Specialised Toolsets including AutoCAD, AutoCAD Architecture, AutoCAD Electrical, AutoCAD MAP 3D, AutoCAD Mechanical, AutoCAD MEP, AutoCAD Plant 3D & AutoCAD Raster Design.

    Source: https://knowledge.autodesk.com/support/autocad/learn-explore/caas/sfdcarticles/sfdcarticles/System-requirements-for-AutoCAD-2019-including-Specialized-Toolsets.html

    Solution:

    System requirements for AutoCAD 2019 including Specialized Toolsets

    Operating System

    • Microsoft® Windows® 7 SP1 with Update KB4019990 (32-bit & 64-bit)
    • Microsoft Windows 8.1 with Update KB2919355 (32-bit & 64-bit)
    • Microsoft Windows 10 Anniversary Update (64-bit only) (version 1607 or higher)

    Processor

    Basic: 2.5–2.9 GHz processor
    Recommended: 3+ GHz processor

    Memory

    Basic: 8 GB
    Recommended: 16 GB

    Display Resolution

    Conventional Displays:
    1920 x 1080 with True Colour

    High Resolution & 4K Displays:
    Resolutions up to 3840 x 2160 supported on Windows 10, 64 bit systems (with capable display card)

    Display Card

    Basic: 1 GB GPU with 29 GB/s Bandwidth and DirectX 11 compliant
    Recommended: 4 GB GPU with 106 GB/s Bandwidth and DirectX 11 compliant

    Disk Space

    6.0 GB

    Browser

    Google Chrome™

    Network

    Deployment via Deployment Wizard.

    The license server and all workstations that will run applications dependent on network licensing must run TCP/IP protocol.

    Either Microsoft® or Novell TCP/IP protocol stacks are acceptable. Primary login on workstations may be Netware or Windows.

    In addition to operating systems supported for the application, the license server will run on the Windows Server® 2012, Windows Server 2012 R2, and Windows 2008 R2 Server editions.

    Citrix® XenApp™ 7.6, Citrix® XenDesktop™ 7.6.

    Pointing Device

    MS-Mouse compliant

    .NET Framework

    .NET Framework Version 4.7

     

    Additional Requirements for large datasets, point clouds, and 3D modelling

    Memory

    8 GB RAM or more

    Disk Space

    6 GB free hard disk available, not including installation requirements

    Display Card

    1920 x 1080 or greater True Colour video display adapter; 128 MB VRAM or greater; Pixel Shader 3.0 or greater; Direct3D®-capable workstation class graphics card.

    Note: 64-bit Operating Systems are recommended if you are working with large datasets, point clouds and 3D modelling and required if you are using Model Documentation or Point Clouds.

    Specialized Toolsets:

    Toolset

    Additional Requirements

    Plant 3D

    • Disk Space: 8GB
    • 64-Bit OS Only

    Map 3D

    • Disk Space: 16GB
    • Memory: 16GB
    • 64-Bit OS Only
    • Database & FDO Requirements (see below)

    Architecture

    Disk Space: 10GB

    Electrical

    Disk Space: 12GB

    MEP

    Disk Space: 12GB

    Mechanical

    No additional requirements

    Raster Design

    No additional requirements

    Map 3D Additional Requirements:

    FDP Provider Requirements

    FDP Provider

    Certified With

    Notes

    Microsoft SQL Server

    Microsoft® SQL Server® 2008 R2 Standard and Enterprise Editions;
    Microsoft SQL Server 2012 Standard and Enterprise Editions;
    Microsoft SQL Server 2014 Standard and Enterprise Editions;
    Microsoft SQL Server 2016 Standard and Enterprise Editions

    Industry Models also support the versions of Microsoft SQL Server listed on the left.

    Oracle 11g Release 2

    Oracle 11.2.0.4.0
    Oracle Express, Standard, and Enterprise Editions

    Industry Models support Standard and Enterprise Editions of this Oracle version.

    Oracle 12c Release 1

    Oracle 12.1.0.1.0
    Oracle 12.1.0.2.0

    Industry Models support Standard and Enterprise Editions of this Oracle version.

    Raster

    DEM, JPG2K, DTED, MrSID®, ECW, PNG, ESRI® Grid, TIFF, JPEG, ESTRI, ASCII

    Not supported on Linux

    Autodesk SDF

    3.0

     

    ESRI ArcSDE

    ArcSDE® 9.3 SP1
    ArcSDE 10.2

    This Provider requires ESRI licensed components to be installed on client system. Required components depend on the type of connection (SDE Service or Direct Connect)

    ESRI ArcGIS

    ARCGIS® 10.4
    ARCGIS 10.3.1
    ARCGIS 10.3
    ARCGIS 10.2

    This Provider requires ESRI licensed components to be installed on client system.

    MySQL

    5.7

     

    ODBC

    The FDO ODBC provider has been tested with corresponding versions of ODBC drivers that are shipped with the relevant supported operating systems version.

     

    OGC WMS

    WMS 13.0

     

    OGC WFS

    WFS 2.0.0

     

    SQLite

    SQLite 3.6

     

    PostgresSQL

    PostgreSQL 9.5 + PostGIS 2.2

     

     

    ODBC Drivers

    Tested Versions

    Microsoft® Access® Driver (*.mdb, *.accdb)

    Microsoft Access database engine 2010 (English) 14.00.4760.1000

    Microsoft® Excel® Driver (*.xls, *xlsx, *.xlsm, *.xlsb)

    Microsoft Access database engine 2010 (English) 14.00.4760.1000

    MySQL® ODBC 5.3 Driver

    5.03.07.00

    SQL Server®

    10.00.10240.16384

    Oracle® in OraClient12Home1

    12.01.00.01